obliq(1)

Name
Obliq - a lightweight language for network objects

Syntax
obliq [options]

Description
An interactive interpreter for the Obliq language. Obliq is a small, statically scoped, untyped language. It is object-oriented, higher-order, and distributed. State is local to an address space, while computation can migrate over the network. The distributed computation mechanism is based on Modula-3 Network Objects. Obliq requires copies of netobjd to be running on all appropriate machines, if network objects are to be used.

Options

-min
    obliq interpreter with minimum libraries

-std
    obliq interpreter with standard libraries

-ui obliq interpreter with user-iterface libraries

-anim
    obliq interpreter with animation libraries

-af93
     obliq of the Animation Festival '93 (obsolete)

SRC Documentation
    /src/hypertext/SRC/obliq/Obliq.html (quick start, for mosaic)

External Site Documentation
    (in /proj/m3/pkg/..., or equivalent)
    ...obliqdoc/src/Obliq.html/ (quick start, for mosaic)
    ...obliqdoc/src/ObliqPaper.ps (paper/manual, for printing)
    ...obliqdoc/src/ObliqPaper-html/ObliqPaper.html (same, for mosaic)
    ...obliqdoc/src/Example/*.obl (example programs)

See Also
    obliqsrv
    netobjd
    The Modula-3 Network Objects documentation
    "Obliq: A language with distributed scope" (Obliq.ps, above)

Author Of Object
  Luca Cardelli

Author Of Documentation
  Luca Cardelli